<?php
/**
 * Model object generated by: Skipper (http://www.skipper18.com)
 * Do not modify this file manually.
 */

namespace App\AbstractModels;

use Illuminate\Database\Eloquent\Model;

abstract class AbstractPrelevementCervicoVaginal extends Model
{
    /**  
     * Primary key type.
     * 
     * @var string
     */
    protected $keyType = 'bigInteger';
    
    /**  
     * The attributes that should be cast to native types.
     * 
     * @var array
     */
    protected $casts = [
        'id' => 'integer',
        'created_at' => 'datetime',
        'updated_at' => 'datetime',
        'aspect_macroscopique' => 'string',
        'aspect_macroscopique_autre' => 'string',
        'couleur_macroscopique' => 'string',
        'couleur_macroscopique_autre' => 'string',
        'ph_macroscopique' => 'string',
        'test_potasse_macroscopique' => 'string',
        'leucocytes_microscopique' => 'string',
        'hematies_microscopique' => 'string',
        'cellules_microscopique' => 'string',
        'levures_microscopique' => 'string',
        'filaments_myceliens_microscopique' => 'string',
        'trichomonas_vaginalismicroscopique' => 'string',
        'microscopique_autre' => 'string',
        'coloration_gram' => 'string',
        'coloration_bacille_doderlein' => 'string',
        'coloration_type_flore' => 'string',
        'coloration_gram_apres_culture' => 'string',
        'identificatio_bacteriologie_apres_culture' => 'string',
        'identificatio_mycologie_apres_culture' => 'string',
        'antibiogramme_apres_culture' => 'string',
        'antifongigramme_apres_culture' => 'string',
        'conclusion_apres_culutre' => 'string',
        'antibiogramme_id' => 'integer'
    ];
    
    /**  
     * The guarded property should contain an array of attributes that you do not want to be mass assignable.
     * 
     * @var array
     */
    protected $guarded = [];
    
    public function antibiogramme()
    {
        return $this->belongsTo('\App\Antibiogramme', 'antibiogramme_id', 'id');
    }
}
